Bug 964939 - RFE: update bind with latest upsteam rate-limit patch
RFE: update bind with latest upsteam rate-limit patch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 18:07 EDT by Wolfgang Rupprecht
Modified: 2013-06-17 21:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: dhcp-4.2.5-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 21:28:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file for bind.spec (544 bytes, patch)
2013-05-19 18:07 EDT, Wolfgang Rupprecht
no flags Details | Diff

  None (edit)
Description Wolfgang Rupprecht 2013-05-19 18:07:42 EDT
Created attachment 750426 [details]
patch file for bind.spec

Description of problem:
the rate limit patch is outdated.  The upstream has a newer more efficient version.

Version-Release number of selected component (if applicable):
bind.x86_64          32:9.9.2-10.P2.fc18

How reproducible:
always

Steps to Reproduce:
1. named -v
2. the latest version should say: 
BIND 9.9.2-rl.131.14-P2-RedHat-9.9.2-10.P2.fc18
(note the "131.14" part of the version)

Actual results:
-

Expected results:
-

Additional info:
http://ss.vix.su/~vjs/rrlrpz.html
patch file for 9.9.2-rl.131.14-P2
http://ss.vix.su/~vjs/rl-9.9.2-P2.patch

The new patches are a drop-in replacement.  There weren't any clashes.  The only change needed was the patch -p0 instead of patch -p1.

I've been running the above bind with the newer patches for about a day and things look stable, but then this is only a home server with a dozen home-user type zonefiles.  I do run DNSSEC and ipv6, so both of those subsystems do work.
Comment 1 Fedora Update System 2013-06-03 09:26:42 EDT
bind-9.9.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind-9.9.3-1.fc19
Comment 2 Fedora Update System 2013-06-03 15:48:15 EDT
bind-dyndb-ldap-2.6-2.fc18,dnsperf-2.0.0.0-4.fc18,dhcp-4.2.5-12.fc18,bind-9.9.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bind-dyndb-ldap-2.6-2.fc18,dnsperf-2.0.0.0-4.fc18,dhcp-4.2.5-12.fc18,bind-9.9.3-2.fc18
Comment 3 Fedora Update System 2013-06-03 15:51:57 EDT
dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-2.fc17
Comment 4 Fedora Update System 2013-06-05 21:28:34 EDT
Package dhcp-4.2.5-2.fc17, dnsperf-2.0.0.0-3.fc17, bind-dyndb-ldap-2.5-2.fc17, bind-9.9.3-3.P1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dhcp-4.2.5-2.fc17 dnsperf-2.0.0.0-3.fc17 bind-dyndb-ldap-2.5-2.fc17 bind-9.9.3-3.P1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10100/dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-3.P1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-13 02:48:20 EDT
bind-9.9.3-3.P1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-17 21:28:40 EDT
bind-dyndb-ldap-2.6-2.fc18, dnsperf-2.0.0.0-4.fc18, dhcp-4.2.5-12.fc18, bind-9.9.3-3.P1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-17 21:36:08 EDT
dhcp-4.2.5-2.fc17, dnsperf-2.0.0.0-3.fc17, bind-dyndb-ldap-2.5-2.fc17, bind-9.9.3-3.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.